Springboard problems



  • Hi I upload via Tide the springboard [https://github.com/tingbot/springboard]
    it seems to install but instead the tingbot shoutout will be shown on the screen. I had installed the BBC app before and that worked. Do i miss something?

    cheers Gernot

    l
    tbtool: Connecting to Pi...
    tbtool: Setting up Pi...
    tbtool: Copying app to /tmp/tide/springboard.tingapp...
    tbtool: Starting app...
    tbopen: App started as PID 3147
    tbtool: Creating virtualenv...
    tbtool: Installing dependencies into virtualenv...
    Collecting https://github.com/furbrain/tingbot-gui/tarball/4a76042d8a10eedcaa35df8dff322e
    72e497ab96 (from -r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Downloading https://github.com/furbrain/tingbot-gui/tarball/4a76042d8a10eedcaa35df8dff3
    22e72e497ab96
    Requirement already satisfied (use --upgrade to upgrade): tingbot-python in /usr/local/li
    b/python2.7/dist-packages (from tingbot-gui==0.1->-r /tmp/tide/springboard.tingapp/requir
    ements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): pyzmq in /usr/lib/python2.7/dis
    t-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.tingapp/requi
    rements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): docopt in /usr/local/lib/python
    2.7/dist-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.tingap
    p/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): virtualenv in /usr/local/lib/py
    thon2.7/dist-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.ti
    ngapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): requests in /usr/local/lib/pyth
    on2.7/dist-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.ting
    app/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/lib/python2.7/di
    st-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.tingapp/requ
    irements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): pyudev in /usr/local/lib/python
    2.7/dist-packages (from tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.tingap
    p/requirements.txt (line 1))

    l
    Requirement already satisfied (use --upgrade to upgrade): pyasn1>=0.1.7 in /usr/local/lib
    /python2.7/dist-packages (from paramiko>=2.0.0->tingbot-python->tingbot-gui==0.1->-r /tmp
    /tide/springboard.tingapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): idna>=2.0 in /usr/local/lib/pyt
    hon2.7/dist-packages (from cryptography>=1.1->paramiko>=2.0.0->tingbot-python->tingbot-gu
    i==0.1->-r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): setuptools>=11.3 in /tmp/tide/s
    pringboard.tingapp/venv/lib/python2.7/site-packages (from cryptography>=1.1->paramiko>=2.
    0.0->tingbot-python->tingbot-gui==0.1->-r /tmp/tide/springboard.tingapp/requirements.txt
    (line 1))
    Requirement already satisfied (use --upgrade to upgrade): enum34 in /usr/local/lib/python
    2.7/dist-packages (from cryptography>=1.1->paramiko>=2.0.0->tingbot-python->tingbot-gui==
    0.1->-r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): ipaddress in /usr/local/lib/pyt
    hon2.7/dist-packages (from cryptography>=1.1->paramiko>=2.0.0->tingbot-python->tingbot-gu
    i==0.1->-r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): cffi>=1.4.1 in /usr/local/lib/p
    ython2.7/dist-packages (from cryptography>=1.1->paramiko>=2.0.0->tingbot-python->tingbot-
    gui==0.1->-r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Requirement already satisfied (use --upgrade to upgrade): pycparser in /usr/local/lib/pyt
    hon2.7/dist-packages (from cffi>=1.4.1->cryptography>=1.1->paramiko>=2.0.0->tingbot-pytho
    n->tingbot-gui==0.1->-r /tmp/tide/springboard.tingapp/requirements.txt (line 1))
    Installing collected packages: tingbot-gui
    Running setup.py install for tingbot-gui: started
    Running setup.py install for tingbot-gui: finished with status 'done'
    Successfully installed tingbot-gui-0.1
    ā†[31mYou are using pip version 8.1.2, however version 9.0.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.

    Process exited.


  • Core team

    Hey geab! We don't normally upload the springboard from Tide - it won't install into the right place on the tingbot to be used as the default app. But you should be able to 'Run' that app on the Tingbot to test out changes while developing it. Is that what you're trying to do?



  • @joerick Thnaks for the answer - maybe I do not understand the functionality of the springboard: is it meant as a way to change from one app to another?



  • The Springboard is the main tingbot ui, basically the app launcher carousel with status bar/settings.
    I have only had a short look at it after receiving my Tingbot, but I think the best way to tinker with it might be to just access it via ssh.
    If you use Linux, most file managers can access it when you type something like ssh://pi@raspberrypi/ in the location bar. Otherwise, most FTP programs can access it as 'sftp'.
    Don't forget to make a backup in case you break stuff.

    I don't know (no TingbotOS flashed at the moment ) the best way to restart it, but would try to just run and exit an app (please correct me).


Log in to reply

Looks like your connection to Springboard problems was lost, please wait while we try to reconnect.